/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_mercurio}", "click", function(sym, e) {
         sym.getSymbol("lbl_mercurio").play(0);
         sym.$("lbl_mercurio").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_venus}", "click", function(sym, e) {
         sym.getSymbol("lbl_Venus").play(0);
         sym.$("lbl_Venus").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_tierra}", "click", function(sym, e) {
         sym.getSymbol("lbl_tierra").play(0);
         sym.$("lbl_tierra").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Marte}", "click", function(sym, e) {
         sym.getSymbol("lbl_marte").play(0);
         sym.$("lbl_marte").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Jupiter}", "click", function(sym, e) {
         sym.getSymbol("lbl_jupiter").play(0);
         sym.$("lbl_jupiter").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_saturno}", "click", function(sym, e) {
         sym.getSymbol("lbl_saturno").play(0);
         sym.$("lbl_saturno").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_urano}", "click", function(sym, e) {
         sym.getSymbol("lbl_urano").play(0);
         sym.$("lbl_urano").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_neptuno}", "click", function(sym, e) {
         sym.getSymbol("lbl_neptuno").play(0);
         sym.$("lbl_neptuno").show();
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'sun'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 15000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("sun");
   //Edge symbol end:'sun'

   //=========================================================
   
   //Edge symbol: 'mercurio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3500, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("mercurio");
   //Edge symbol end:'mercurio'

   //=========================================================
   
   //Edge symbol: 'venus'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("venus");
   //Edge symbol end:'venus'

   //=========================================================
   
   //Edge symbol: 'tierra'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3250, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("tierra");
   //Edge symbol end:'tierra'

   //=========================================================
   
   //Edge symbol: 'Marte'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2750, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("Marte");
   //Edge symbol end:'Marte'

   //=========================================================
   
   //Edge symbol: 'saturno'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("saturno");
   //Edge symbol end:'saturno'

   //=========================================================
   
   //Edge symbol: 'Jupiter'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("Jupiter");
   //Edge symbol end:'Jupiter'

   //=========================================================
   
   //Edge symbol: 'urano'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4250, function(sym, e) {
         
         sym.play(0);

      });
      //Edge binding end

   })("urano");
   //Edge symbol end:'urano'

   //=========================================================
   
   //Edge symbol: 'neptuno'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4500, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("neptuno");
   //Edge symbol end:'neptuno'

   //=========================================================
   
   //Edge symbol: 'lbl_mercurio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.play(1500);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop(0);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         

      });
      //Edge binding end

   })("lbl_mercurio");
   //Edge symbol end:'lbl_mercurio'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'ninaAstronauta'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3247, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("ninaAstronauta");
   //Edge symbol end:'ninaAstronauta'

   //=========================================================
   
   //Edge symbol: 'blink'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("blink");
   //Edge symbol end:'blink'

   //=========================================================
   
   //Edge symbol: 'lbl_mercurio_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.play(1500);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         

      });
      //Edge binding end

   })("lbl_Venus");
   //Edge symbol end:'lbl_Venus'

   //=========================================================
   
   //Edge symbol: 'lbl_mercurio_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.play(1500);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         

      });
      //Edge binding end

   })("lbl_tierra");
   //Edge symbol end:'lbl_tierra'

   //=========================================================
   
   //Edge symbol: 'lbl_mercurio_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.play(1500);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         

      });
      //Edge binding end

   })("lbl_marte");
   //Edge symbol end:'lbl_marte'

   //=========================================================
   
   //Edge symbol: 'lbl_mercurio_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.play(1500);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         

      });
      //Edge binding end

   })("lbl_jupiter");
   //Edge symbol end:'lbl_jupiter'

   //=========================================================
   
   //Edge symbol: 'lbl_mercurio_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.play(1500);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         

      });
      //Edge binding end

   })("lbl_saturno");
   //Edge symbol end:'lbl_saturno'

   //=========================================================
   
   //Edge symbol: 'lbl_mercurio_6'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.play(1500);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         

      });
      //Edge binding end

   })("lbl_urano");
   //Edge symbol end:'lbl_urano'

   //=========================================================
   
   //Edge symbol: 'lbl_mercurio_7'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.play(1500);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         

      });
      //Edge binding end

   })("lbl_neptuno");
   //Edge symbol end:'lbl_neptuno'

})(jQuery, AdobeEdge, "EDGE-5531445");